SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
-- 
-- Struktura tabulky `adresa`
-- 

CREATE TABLE `adresa` (
  `id_adr` smallint(5) unsigned NOT NULL auto_increment,
  `ulice` varchar(255) collate utf8_czech_ci NOT NULL,
  `cp` smallint(5) unsigned NOT NULL,
  `mesto` varchar(255) collate utf8_czech_ci NOT NULL,
  `psc` char(5) collate utf8_czech_ci NOT NULL,
  `id_zeme` int(10) NOT NULL,
  PRIMARY KEY  (`id_adr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

-- 
-- Vypisuji data pro tabulku `adresa`
-- 

INSERT INTO `adresa` (`id_adr`, `ulice`, `cp`, `mesto`, `psc`, `id_zeme`) VALUES 
(0, 'admin', 1, 'admin', '14800', 1);

-- --------------------------------------------------------

-- 
-- Struktura tabulky `autorizace`
-- 

CREATE TABLE `autorizace` (
  `id_ses` varchar(100) collate utf8_czech_ci NOT NULL,
  `id_zak` smallint(5) unsigned NOT NULL default '0',
  `cas` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_ses`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;


-- --------------------------------------------------------

-- 
-- Struktura tabulky `kategorie`
-- 

CREATE TABLE `kategorie` (
  `id_kat` tinyint(3) unsigned NOT NULL auto_increment,
  `id_nadr_kat` tinyint(3) unsigned NOT NULL,
  `nazev` varchar(255) collate utf8_czech_ci NOT NULL,
  `poradi` tinyint(3) unsigned NOT NULL default '0',
  `poradi_m` tinyint(3) unsigned default NULL,
  `foto` varchar(30) collate utf8_czech_ci default NULL,
  PRIMARY KEY  (`id_kat`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

-- 
-- Vypisuji data pro tabulku `kategorie`
-- 

INSERT INTO `kategorie` (`id_kat`, `id_nadr_kat`, `nazev`, `poradi`, `poradi_m`, `foto`) VALUES 
(1, 1, 'AKCE', 0, 1, NULL);

-- --------------------------------------------------------

-- 
-- Struktura tabulky `kurzy`
-- 

CREATE TABLE `kurzy` (
  `id_kurzu` int(10) unsigned NOT NULL auto_increment,
  `mena` char(3) collate utf8_czech_ci NOT NULL,
  `kurz` float NOT NULL,
  `id_zeme` int(10) unsigned NOT NULL,
  PRIMARY KEY  (`id_kurzu`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

-- 
-- Vypisuji data pro tabulku `kurzy`
-- 

INSERT INTO `kurzy` (`id_kurzu`, `mena`, `kurz`, `id_zeme`) VALUES 
(1, 'CZK', 1, 1),
(2, 'SKK', 0.82, 2),

-- --------------------------------------------------------

-- 
-- Struktura tabulky `novinky`
-- 

CREATE TABLE `novinky` (
  `id_nov` int(10) unsigned NOT NULL auto_increment,
  `pridano` datetime NOT NULL,
  `text` text collate utf8_czech_ci NOT NULL,
  `zobrazit` tinyint(1) NOT NULL,
  PRIMARY KEY  (`id_nov`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;


-- --------------------------------------------------------

-- 
-- Struktura tabulky `objednavka`
-- 

CREATE TABLE `objednavka` (
  `id_obj` int(10) unsigned NOT NULL auto_increment,
  `id_zak` smallint(5) unsigned NOT NULL,
  `datum` datetime NOT NULL,
  `typ_dopr` enum('P','O') collate utf8_czech_ci NOT NULL default 'P',
  `status` enum('0','1','2','3') collate utf8_czech_ci NOT NULL default '0',
  `pozn_zak` text collate utf8_czech_ci,
  `pozn_adm` text collate utf8_czech_ci,
  `zaplacena` enum('0','1') collate utf8_czech_ci NOT NULL default '0',
  `kurz` float NOT NULL,
  `mena` int(1) unsigned NOT NULL,
  `postovne` int(4) unsigned NOT NULL,
  PRIMARY KEY  (`id_obj`),
  KEY `id_zak` (`id_zak`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;


-- --------------------------------------------------------

-- 
-- Struktura tabulky `obj_detail`
-- 

CREATE TABLE `obj_detail` (
  `id_obj_detail` int(11) NOT NULL auto_increment,
  `id_obj` int(10) NOT NULL,
  `mnozstvi` smallint(5) unsigned NOT NULL,
  `uloz_nazev` text collate utf8_czech_ci NOT NULL,
  `cena` int(6) NOT NULL,
  `dph` tinyint(2) NOT NULL,
  `sleva` tinyint(2) NOT NULL,
  PRIMARY KEY  (`id_obj_detail`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;


-- --------------------------------------------------------

-- 
-- Struktura tabulky `sklad_info`
-- 

CREATE TABLE `sklad_info` (
  `id_zbo` smallint(5) unsigned NOT NULL default '0',
  `id_vel` tinyint(3) unsigned NOT NULL default '0',
  `pocet_ks` smallint(5) unsigned default '0',
  PRIMARY KEY  (`id_zbo`,`id_vel`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;


-- --------------------------------------------------------

-- 
-- Struktura tabulky `slevy`
-- 

CREATE TABLE `slevy` (
  `id_slevy` smallint(1) unsigned NOT NULL auto_increment,
  `popis` varchar(5) character set utf8 default NULL,
  `sleva` int(2) NOT NULL default '0',
  PRIMARY KEY  (`id_slevy`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

-- 
-- Vypisuji data pro tabulku `slevy`
-- 

INSERT INTO `slevy` (`id_slevy`, `popis`, `sleva`) VALUES 
(1, 'D1', 2),
(2, 'D2', 10),
(3, 'D3', 37),
(4, 'D4', 0),
(5, 'D5', 0),
(6, 'Z', 0);

-- --------------------------------------------------------

-- 
-- Struktura tabulky `spec_slevy`
-- 

CREATE TABLE `spec_slevy` (
  `id_sp_slevy` int(10) unsigned NOT NULL auto_increment,
  `id_zna` int(10) unsigned NOT NULL,
  `typ_zak` enum('Z','D1','D2','D3','D4','D5') character set utf8 collate utf8_czech_ci NOT NULL,
  `sleva` int(2) unsigned NOT NULL,
  PRIMARY KEY  (`id_sp_slevy`),
  UNIQUE KEY `id_zna` (`id_zna`,`typ_zak`)
) ENGINE=MyISAM;



-- --------------------------------------------------------

-- 
-- Struktura tabulky `velikost`
-- 

CREATE TABLE `velikost` (
  `id_vel` tinyint(3) unsigned NOT NULL auto_increment,
  `nazev` char(5) collate utf8_czech_ci NOT NULL default '',
  PRIMARY KEY  (`id_vel`),
  UNIQUE KEY `nazev` (`nazev`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

-- 
-- Vypisuji data pro tabulku `velikost`
-- 

INSERT INTO `velikost` (`id_vel`, `nazev`) VALUES 
(2, '32'),
(3, '33'),
(1, '36'),
(4, '37'),
(5, '38'),
(8, 'L'),
(7, 'M'),
(6, 'S'),
(9, 'XL'),
(10, 'XXL'),
(11, '34'),
(14, '35'),
(15, 'XS'),
(16, '39'),
(17, '40'),
(18, '41'),
(19, '42'),
(20, '43'),
(21, '44'),
(22, '45'),
(23, '46'),
-- --------------------------------------------------------

-- 
-- Struktura tabulky `zakaznik`
-- 

CREATE TABLE `zakaznik` (
  `id_zak` smallint(5) unsigned NOT NULL auto_increment,
  `typ` enum('Z','D1','D2','D3','D4','D5') collate utf8_czech_ci NOT NULL default 'Z',
  `jmeno` varchar(50) collate utf8_czech_ci default NULL,
  `prijmeni` varchar(255) collate utf8_czech_ci NOT NULL,
  `nazev` varchar(255) collate utf8_czech_ci default NULL,
  `ico` char(8) collate utf8_czech_ci default NULL,
  `id_adr_dod` smallint(5) unsigned NOT NULL,
  `id_adr_fak` smallint(5) unsigned NOT NULL default '0',
  `tel` char(9) collate utf8_czech_ci default NULL,
  `email` varchar(255) collate utf8_czech_ci NOT NULL,
  `login` varchar(10) collate utf8_czech_ci NOT NULL default '',
  `heslo` varchar(100) collate utf8_czech_ci NOT NULL default '',
  `admin` tinyint(1) unsigned NOT NULL default '0',
  `zmrazen` tinyint(1) NOT NULL default '0',
  `registrovan` date NOT NULL default '0000-00-00',
  PRIMARY KEY  (`id_zak`),
  UNIQUE KEY `login` (`login`),
  KEY `FK_zakaznik_1` (`id_adr_dod`),
  KEY `FK_zakaznik_2` (`id_adr_fak`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

-- 
-- Vypisuji data pro tabulku `zakaznik`
-- 
-- login je adminovic
-- heslo je adminovic (md5 otisk)
-- login d1 - dealer
-- heslo d1
-- login d2 - dealer
-- heslo d2
INSERT INTO `zakaznik` (`id_zak`, `typ`, `jmeno`, `prijmeni`, `nazev`, `ico`, `id_adr_dod`, `id_adr_fak`, `tel`, `email`, `login`, `heslo`, `admin`, `zmrazen`, `registrovan`) VALUES 
(1, 'Z', 'admin', 'admin','neco', '1234567', 1, 1, '666666666', 'email@domena.tld', 'adminovic', '1faa3b77cbd3a162397f71e261fbad1c', 1, 0, '0000-00-00'),
(2, 'D1', '', 'D1', NULL, NULL, 0, 0, '', 'jdkafdas@sldkfjd.cz', 'd1', '9948c645c094247794f4c7acdbeb2bb6', 0, 1, '0000-00-00'),
(2, 'D2', '', 'd2', '', '', 0, 0, '', 'mam@mmd.cz', 'd2', 'b25b0651e4b6e887e5194135d3692631', 0, 1, '0000-00-00'),

-- --------------------------------------------------------

-- 
-- Struktura tabulky `zbozi`
-- 

CREATE TABLE `zbozi` (
  `id_zbo` smallint(5) unsigned NOT NULL auto_increment,
  `nazev` varchar(255) collate utf8_czech_ci NOT NULL,
  `id_zna` tinyint(3) unsigned NOT NULL,
  `id_kat` tinyint(3) unsigned NOT NULL,
  `cena` int(6) unsigned NOT NULL,
  `dph` tinyint(4) NOT NULL default '19',
  `sleva` tinyint(4) NOT NULL,
  `dod_lhuta` tinyint(4) default '0',
  `popis` text collate utf8_czech_ci,
  `pridano` datetime NOT NULL,
  `foto` varchar(18) collate utf8_czech_ci default NULL,
  PRIMARY KEY  (`id_zbo`),
  KEY `id_kat` (`id_kat`),
  KEY `id_zna` (`id_zna`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

-- --------------------------------------------------------

-- 
-- Struktura tabulky `zeme`
-- 

CREATE TABLE `zeme` (
  `id_zeme` int(10) unsigned NOT NULL auto_increment,
  `nazev` varchar(255) collate utf8_czech_ci NOT NULL,
  `post_popl` int(4) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id_zeme`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

-- 
-- Vypisuji data pro tabulku `zeme`
-- 

INSERT INTO `zeme` (`id_zeme`, `nazev`, `post_popl`) VALUES 
(1,'Česká republika', 100),
(2, 'Slovensko', 200);

-- --------------------------------------------------------

-- 
-- Struktura tabulky `znacka`
-- 

CREATE TABLE `znacka` (
  `id_zna` tinyint(3) unsigned NOT NULL auto_increment,
  `nazev` varchar(255) collate utf8_czech_ci NOT NULL,
  `foto` varchar(30) collate utf8_czech_ci default NULL,
  PRIMARY KEY  (`id_zna`),
  UNIQUE KEY `nazev` (`nazev`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

-- 
-- Vypisuji data pro tabulku `znacka`
-- 

INSERT INTO `znacka` (`id_zna`, `nazev`, `foto`) VALUES 
(1, 'nazev znacky', 'nazev obrazku napr. aa.jpg')
