﻿<?
/*
CREATE TABLE  sessionstable (
	SID char(32) collate utf8_czech_ci NOT NULL,
 	expiration int(11) NOT NULL,
	value text collate utf8_czech_ci NOT NULL,
  PRIMARY KEY  (`SID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;
*/

// nazev tabulky
$sessionTbl = "sessions";

//z php.ini ziskame max dobu zivotnosti session
$lifetime = get_cfg_var("session.gc_maxlifetime");


/**
 * otevreme spojeni s databazi
 *
 * @param string $session_path
 * @param string $session_name
 * @return boolean
 */
function mysql_session_open($session_path, $session_name) {

	$db_user = 'user';
	$db_pass = 'pass';
	$db_host = 'localhost';
	$db_name = 'dBName';
	global $sessionDbConn;

	//pripojime k db
	$sessionDbConn= mysqli_connect($db_host, $db_user, $db_pass, $db_name);

	if (!$sessionDbConn){
		echo "Nelze se připojit k databázi";
		//mysqli_error($sessionDbConn);
		return false;
	}
	else {
		mysqli_query($sessionDbConn,'SET character_set_results=UTF8');
		mysqli_query($sessionDbConn,'SET character_set_connection=UTF8');
		mysqli_query($sessionDbConn,'SET character_set_client=UTF8');
		return true;
	}

}

/**
 * uzavreme spojeni s db
 *
 * @return mysqli object
 */
function mysql_session_close() {
	global $sessionDbConn;

	return @mysqli_close($sessionDbConn);

}

/**
 * precte data z databaze
 *
 * @param string $id
 * @return string
 */
function mysql_session_select($id) {

	global $sessionDbConn;
	global $sessionTbl;

	$id = mysqli_real_escape_string($sessionDbConn,$id);
	$query = "SELECT value FROM $sessionTbl
	WHERE SID = '$id' AND
	expiration > ". time();

	if ($result = mysqli_query($sessionDbConn, $query)) {
		if (mysqli_num_rows($result)) {
			$record = mysqli_fetch_assoc($result);
			//musime vratit string at je tam cokoliv
			settype($record['value'], 'string');
			return $record['value'];
		}
	}

	return '';

}

/**
 * zapise data do db
 * 
 * pokud jiz session id existuje, prepiseme novymi daty
 *
 * @param string $id
 * @param unknown_type $value
 */
function mysql_session_write($id, $value) {

	global $sessionDbConn;
	global $sessionTbl;
	global $lifetime;

	$expiration = time() + $lifetime;
	
	$id = mysqli_real_escape_string($sessionDbConn, $id);
	$value = mysqli_real_escape_string($sessionDbConn, $value);
	
	$query = "INSERT INTO $sessionTbl
	VALUES('$id', '$expiration', '$value')";

	$result = mysqli_query($sessionDbConn, $query);

	if (! $result) {
	
	$query = "UPDATE $sessionTbl SET
	expiration = '$expiration',
	value = '$value' WHERE
	SID = '$id' AND expiration >". time();

	$result = mysqli_query($sessionDbConn, $query);
	}

}

/**
 * mazeme data spojena se session id
 *
 * @param string $sessionID
 */
function mysql_session_destroy($sessionID) {
	
	global $sessionDbConn;
	global $sessionTbl;

	$query = "DELETE FROM $sessionTbl
	WHERE SID = '$sessionID'";
	$result = mysqli_query($sessionDbConn, $query);

}

/**
 * mazeme data session, ktere vyexpirovaly
 *
 * @param unknown_type $lifetime
 * @return unknown
 */
function mysql_session_garbage_collect($lifetime) {

	global $sessionDbConn;
	global $sessionTbl;
	global $lifetime;
	
	$exp = time() - $lifetime; 
	$query = "DELETE FROM $sessionTbl
	WHERE expiration < $exp";
	$result = mysqli_query($sessionDbConn, $query);
	return @mysqli_affected_rows($sessionDbConn);
	

}
/* nainstalujeme vlastni session handler */
session_set_save_handler("mysql_session_open", "mysql_session_close",
"mysql_session_select", "mysql_session_write",
"mysql_session_destroy",
"mysql_session_garbage_collect");
?>